<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="BC500001.aspx.cs" Inherits="Page_BC500001" Title="Untitled Page" %>
<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>

<asp:Content ID="cont1" ContentPlaceHolderID="phDS" Runat="Server">
	<px:PXDataSource ID="ds" runat="server" Visible="True" Width="100%"
        TypeName="BOC.BillOfCollectionProcess"
        PrimaryView="Transactions"
        >
		<CallbackCommands>

		</CallbackCommands>
	</px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" Runat="Server">
	<px:PXFormView ID="form" runat="server" DataSourceID="ds" DataMember="Filter" Width="100%" Height="100px" AllowAutoHide="false">
		<Template>
			<px:PXLayoutRule ID="PXLayoutRule1" runat="server" StartRow="True"></px:PXLayoutRule>
			<px:PXLayoutRule ColumnWidth="" runat="server" ID="CstPXLayoutRule37" StartColumn="True" ></px:PXLayoutRule>
			<px:PXSelector Enabled="True" Width="" Size="M" CommitChanges="True" runat="server" ID="CstPXSelector35" DataField="BranchID" ></px:PXSelector>
			<px:PXTextEdit CommitChanges="True" Size="" runat="server" ID="CstPXTextEdit16" DataField="Location" ></px:PXTextEdit>
			<px:PXLayoutRule runat="server" ID="CstLayoutRule49" ColumnSpan="4" ></px:PXLayoutRule>
			<px:PXDropDown CommitChanges="True" Height="" runat="server" ID="CstPXDropDown47" DataField="SelectedCustomers" ></px:PXDropDown>
			<px:PXLayoutRule ColumnWidth="" runat="server" ID="CstPXLayoutRule22" StartColumn="True" ></px:PXLayoutRule>
			<px:PXCheckBox AlignLeft="True" CommitChanges="True" runat="server" ID="CstPXCheckBox44" DataField="IncludeINV" ></px:PXCheckBox>
			<px:PXCheckBox AlignLeft="True" CommitChanges="True" runat="server" ID="CstPXCheckBox46" DataField="IncludePY" ></px:PXCheckBox>
			<px:PXLayoutRule runat="server" ID="CstPXLayoutRule41" StartColumn="True" ></px:PXLayoutRule>
			<px:PXCheckBox AlignLeft="True" CommitChanges="True" runat="server" ID="CstPXCheckBox43" DataField="IncludeDM" ></px:PXCheckBox>
			<px:PXCheckBox AlignLeft="True" CommitChanges="True" runat="server" ID="CstPXCheckBox42" DataField="IncludeCM" ></px:PXCheckBox>
			<px:PXLayoutRule runat="server" ID="CstPXLayoutRule48" StartColumn="True" ></px:PXLayoutRule>
			<px:PXCheckBox AlignLeft="True" CommitChanges="True" runat="server" ID="CstPXCheckBox45" DataField="IncludePM" ></px:PXCheckBox>
			<px:PXCheckBox Visible="False" runat="server" ID="CstPXCheckBox40" DataField="LoadDocs" CommitChanges="True" ></px:PXCheckBox></Template>
	
		<AutoSize MinHeight="150" Enabled="True" ></AutoSize></px:PXFormView>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" Runat="Server">
	<px:PXGrid AllowPaging="False" ID="grid" runat="server" DataSourceID="ds" Width="100%" Height="150px" SkinID="Details" AllowAutoHide="false">
		<Levels>
			<px:PXGridLevel DataMember="Transactions">
			    <Columns>
				<px:PXGridColumn CommitChanges="True" AllowCheckAll="True" Type="CheckBox" DataField="Selected" Width="40" ></px:PXGridColumn>
				<px:PXGridColumn DataField="RefNbr" Width="140" ></px:PXGridColumn>
				<px:PXGridColumn DataField="Status" Width="70" ></px:PXGridColumn>
				<px:PXGridColumn DataField="DocType" Width="70" ></px:PXGridColumn>
				<px:PXGridColumn DataField="CustomerID" Width="140" ></px:PXGridColumn>
				<px:PXGridColumn DataField="CustomerID_BAccountR_acctName" Width="220" ></px:PXGridColumn>
				<px:PXGridColumn DataField="DocDate" Width="90" ></px:PXGridColumn>
				<px:PXGridColumn DataField="FinPeriodID" Width="72" ></px:PXGridColumn>
				<px:PXGridColumn DataField="DueDate" Width="90" ></px:PXGridColumn>
				<px:PXGridColumn DataField="CuryOrigDocAmt" Width="100" ></px:PXGridColumn>
				<px:PXGridColumn DataField="ARInvoice__TermsID" Width="120" ></px:PXGridColumn>
				<px:PXGridColumn DataField="ARInvoice__InvoiceNbr" Width="180" ></px:PXGridColumn>
				<px:PXGridColumn DataField="BranchID" Width="140" ></px:PXGridColumn>
				<px:PXGridColumn DataField="ARInvoice__UsrExtRefNbr" Width="140" />
				<px:PXGridColumn DataField="ARInvoice__UsrGRRef" Width="140" /></Columns>
			
				<RowTemplate>
					<px:PXSelector runat="server" ID="CstPXSelector38" DataField="RefNbr" AllowEdit="True" ></px:PXSelector></RowTemplate></px:PXGridLevel>
		</Levels>
		<AutoSize Container="Window" Enabled="True" MinHeight="150" ></AutoSize>
		<ActionBar >
		</ActionBar>
	</px:PXGrid>
</asp:Content>